org.apache.storm.generated

## Class Nimbus.Processor.setLogConfig<I extends Nimbus.Iface>

- java.lang.Object
- - org.apache.storm.thrift.ProcessFunction<I,Nimbus.setLogConfig_args>
  - - org.apache.storm.generated.Nimbus.Processor.setLogConfig<I>

- Enclosing class:
    Nimbus.Processor<I extends Nimbus.Iface>

      public static class Nimbus.Processor.setLogConfig<I extends Nimbus.Iface>
      extends org.apache.storm.thrift.ProcessFunction<I,Nimbus.setLogConfig_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `setLogConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Nimbus.setLogConfig_args` | `getEmptyArgsInstance()`
    `Nimbus.setLogConfig_result` | `getResult(I iface, Nimbus.setLogConfig_args args)`
    `protected boolean` | `isOneway()`
    `protected boolean` | `rethrowUnhandledExceptions()`

    - ### Methods inherited from class org.apache.storm.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### setLogConfig

          public setLogConfig()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Nimbus.setLogConfig_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.setLogConfig_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.setLogConfig_args>`

    - #### rethrowUnhandledExceptions

          protected boolean rethrowUnhandledExceptions()

      Overrides:
        `rethrowUnhandledExceptions` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.setLogConfig_args>`

    - #### getResult

          public Nimbus.setLogConfig_result getResult(I iface,
                                                      Nimbus.setLogConfig_args args)
                                               throws org.apache.storm.thrift.TException

      Specified by:
        `getResult` in class `org.apache.storm.thrift.ProcessFunction<I extends Nimbus.Iface,Nimbus.setLogConfig_args>`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.